summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMatthew Thode <mthode@mthode.org>2015-09-03 16:25:24 -0500
committerMatthew Thode <mthode@mthode.org>2015-09-03 16:28:53 -0500
commit1e62971f98f00ce34c1cc0c48762089a3381e5d7 (patch)
tree22352fa164c5b5070bf9aadb7adf9395699badda /dev-python/oslo-messaging
parentdev-python/futurist: adding for liberty (diff)
downloadgentoo-1e62971f98f00ce34c1cc0c48762089a3381e5d7.tar.gz
gentoo-1e62971f98f00ce34c1cc0c48762089a3381e5d7.tar.bz2
gentoo-1e62971f98f00ce34c1cc0c48762089a3381e5d7.zip
dev-python/oslo-middleware: bup for liberty
Diffstat (limited to 'dev-python/oslo-messaging')
-rw-r--r--dev-python/oslo-messaging/Manifest1
-rw-r--r--dev-python/oslo-messaging/oslo-messaging-2.4.0.ebuild69
2 files changed, 70 insertions, 0 deletions
diff --git a/dev-python/oslo-messaging/Manifest b/dev-python/oslo-messaging/Manifest
index 8e9ab445153..742c18378bb 100644
--- a/dev-python/oslo-messaging/Manifest
+++ b/dev-python/oslo-messaging/Manifest
@@ -6,3 +6,4 @@ DIST oslo.messaging-1.8.0.tar.gz 201858 SHA256 afff6d8367e6723a64dcb518d709d4ed0
DIST oslo.messaging-1.8.2.tar.gz 208688 SHA256 31222c9afe3b5655401424a6229f633bebf20cfe5027e69d2e12f7e954556f1a SHA512 a8940635fb1d08871675730d2eb841af74896963d1f9624fec6ecff03e99f280091f342abba683aa9a5eac209009e75618f637571e34c5ef76fd8617f4ffe525 WHIRLPOOL 0fa2f5531178763ff607b062b8741ba02d396e868cc41a4e668e2ec26ef119f12dfa4261da418ec314c915e36e90f2cbd8da88f1bf559460fa0e442cd4a9b0f1
DIST oslo.messaging-1.8.3.tar.gz 208757 SHA256 149d325431e2c4415edd5bdaec0cff4e9109c02e8f428382610cfa1a238692ea SHA512 98fd93a4ae366ac413ec0ad0310b669d9e0dddf61a03b2da40bfdfb3aec63de95a187556bcdecc19a209c38398f2ed0359aa05c9024bbad429e4c79c35b91b01 WHIRLPOOL 22f2a4237f874f3a681d3ea6e87bea7ed9759f967dfe8abfa8c6dc0f68d362b248f54b98fb7e64ff388de7c406f0cde29861fd17fe2fef5a8a688855b67c436c
DIST oslo.messaging-1.9.0.tar.gz 214963 SHA256 ac5f58378515597e6d5759653cac3828eb2ee6bb11e2bbf94ee0d65a692990ed SHA512 2e7de860fed55b0548f3cfa4a911cba0750889fd807ed7addb83192dd37f84997ceecd92faf480be97873e58286748865c8c57a09014ae0de97c60be826cd27f WHIRLPOOL 8e331116313757c93b2add853a35929e0a0603b691f9ffb322f4e39c422e13d83ee757277e42ce9b0360cf9e5823bb066a48fadc8eb706f7ebca018b014e1e06
+DIST oslo.messaging-2.4.0.tar.gz 181234 SHA256 6e505e86ebd2115992d41db2ab4e2e2b946d2a2699ef205f84d74f1a62c710bf SHA512 2d3b8dd220307d97fcf5e06269771d2c8b1412ed69e08258f4e77791a9b43077e787b8f21248c8282e53630d57c461034d93aa91d8d129ffe5e6d9abe871a72f WHIRLPOOL 99c023e230505b06a75ae51f63d67de60fadf4f44851a6a50466dd865b6a3f9b39c949ce31c36fdd35917281700b316edac6301d2d6d64b2440fc22ad61e1681
diff --git a/dev-python/oslo-messaging/oslo-messaging-2.4.0.ebuild b/dev-python/oslo-messaging/oslo-messaging-2.4.0.ebuild
new file mode 100644
index 00000000000..0a0b6d9c490
--- /dev/null
+++ b/dev-python/oslo-messaging/oslo-messaging-2.4.0.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python2_7 )
+
+inherit distutils-r1
+
+DESCRIPTION="Messaging API for RPC and notifications over a number of different messaging transports"
+HOMEPAGE="https://pypi.python.org/pypi/oslo.messaging"
+SRC_URI="mirror://pypi/${PN:0:1}/oslo.messaging/oslo.messaging-${PV}.tar.gz"
+S="${WORKDIR}/oslo.messaging-${PV}"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+CDEPEND="
+ >=dev-python/pbr-1.4[${PYTHON_USEDEP}]
+ <dev-python/pbr-2.0[${PYTHON_USEDEP}]"
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+ ${CDEPEND}
+ test? (
+ >=dev-python/hacking-0.10[${PYTHON_USEDEP}]
+ <dev-python/hacking-0.11[${PYTHON_USEDEP}]
+ >=dev-python/fixtures-0.3.14[${PYTHON_USEDEP}]
+ >=dev-python/mock-1.0[${PYTHON_USEDEP}]
+ >=dev-python/mox3-0.7.0[${PYTHON_USEDEP}]
+ >=dev-python/subunit-0.0.18[${PYTHON_USEDEP}]
+ >=dev-python/testrepository-0.0.18[${PYTHON_USEDEP}]
+ >=dev-python/testscenarios-0.4[${PYTHON_USEDEP}]
+ >=dev-python/testtools-0.9.36[${PYTHON_USEDEP}]
+ !~dev-python/testtools-1.2.0[${PYTHON_USEDEP}]
+ >=dev-python/oslotest-1.5.1[${PYTHON_USEDEP}]
+ dev-python/qpid-python[${PYTHON_USEDEP}]
+ >=dev-python/redis-py-2.10.0[${PYTHON_USEDEP}]
+ >=dev-python/pyzmq-14.3.1[${PYTHON_USEDEP}]
+ >=dev-python/coverage-3.6[${PYTHON_USEDEP}]
+ >=dev-python/sphinx-1.1.2[${PYTHON_USEDEP}]
+ !~dev-python/sphinx-1.2.0[${PYTHON_USEDEP}]
+ <dev-python/sphinx-1.3.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-sphinx-2.5.0[${PYTHON_USEDEP}]
+ )"
+RDEPEND="
+ ${CDEPEND}
+ >=dev-python/oslo-config-1.9.3[${PYTHON_USEDEP}]
+ >=dev-python/oslo-context-0.2.0
+ >=dev-python/oslo-utils-1.4.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-serialization-1.4.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-i18n-1.5.0[${PYTHON_USEDEP}]
+ >=dev-python/stevedore-1.3.0[${PYTHON_USEDEP}]
+ >=dev-python/six-1.9.0[${PYTHON_USEDEP}]
+ >=dev-python/eventlet-0.16.1[${PYTHON_USEDEP}]
+ !~dev-python/eventlet-0.17.0[${PYTHON_USEDEP}]
+ >=dev-python/pyyaml-3.1.0[${PYTHON_USEDEP}]
+ >=dev-python/kombu-2.5.8[${PYTHON_USEDEP}]
+ >=dev-python/oslo-middleware-1.0.0[${PYTHON_USEDEP}]
+ >=dev-python/futures-2.1.6[${PYTHON_USEDEP}]
+ >=dev-python/aioeventlet-0.4[${PYTHON_USEDEP}]
+ >=dev-python/trollius-1.0.0[${PYTHON_USEDEP}]
+"
+
+# This time half the doc files are missing; Do you want them?
+
+python_test() {
+ nosetests tests/ || die "test failed under ${EPYTHON}"
+}